# Quote params

## Find the best quote to exchange via VulpeFI router: [`/api/quote`​](/aggregation-protocol/api/swagger/ethereum-network.md) <a href="#find-the-best-quote-to-exchange-via-1inch-router-apiquote" id="find-the-best-quote-to-exchange-via-1inch-router-apiquote"></a>

### Description of query parameters <a href="#description-of-query-parameters" id="description-of-query-parameters"></a>

<table><thead><tr><th width="227">Parameter name</th><th width="142">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>src *</code></td><td>string</td><td>contract address of a token to sell<br>e.g.: <code>0x...xxx example</code></td></tr><tr><td><code>dst *</code></td><td>string</td><td>contract address of a token to buy<br>e.g.: <code>0x...xxx example</code></td></tr><tr><td><code>amount *</code></td><td>integer</td><td>amount of a token to sell, set in minimal divisible units<br>e.g.:<br><code>1.00 DAI</code> set as <code>1000000000000000000</code><br><code>51.03 USDC</code> set as <code>51030000</code></td></tr><tr><td><code>includeTokensInfo</code></td><td>boolean</td><td>if set to <code>true</code>, response will include from token and to token info<br><code>default: false</code></td></tr><tr><td><code>includeProtocols</code></td><td>boolean</td><td>if set to <code>true</code>, response will include protocols used in the quote<br><code>default: false</code></td></tr><tr><td><code>includeGas</code></td><td>boolean</td><td>if set to <code>true</code>, response will include gas limit anticipated for the quote<br><code>default: false</code></td></tr><tr><td><code>fee</code></td><td>number</td><td>this percentage of <code>src</code> token amount will be sent to <code>referrerAddress</code>,<br>the rest will be used as input for a swap<br><code>min: 0;</code> <code>max: 3;</code> <code>default: 0;</code><br>example to set a fee to 1.5%: <code>&#x26;fee=1.5</code></td></tr><tr><td><code>protocols</code></td><td>string</td><td>specify liquidity protocols to use. If not set, all liquidity protocols will be used<br>e.g.: <code>&#x26;protocols=</code><br><code>default: all protocols can be used</code></td></tr><tr><td><code>gasPrice</code></td><td>string</td><td>VulpeFI takes in account gas expenses to determine exchange route. It is important to use the same gas price<br>on the quote and swap methods<br>gas price set in wei: <code>12.5 GWEI</code> set as <code>12500000000</code><br><code>default: "fast" from the network</code></td></tr><tr><td><code>complexityLevel</code></td><td>string</td><td>maximum number of token-connectors to be used in a transaction. The more is used — the longer route estimation will take, the more complex route might be as a result. If not set, two token-connectors might be used<br><code>min: 0;</code> <code>max: 3;</code> <code>default: 2</code></td></tr><tr><td><code>connectorTokens</code></td><td>string</td><td>token-connectors can be specified via this parameter. The more is set — the longer route estimation will take. If not set, default token-connectors will be used. If token you want to exchange doesn't have a pool with one of the default token-connectors, this parameter will help find the route; should be the same for a quote and swap e.g.:<br><code>&#x26;connectorTokens=0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE, 0x...xxx example</code><br><code>default: list of default token-connectors</code></td></tr><tr><td><code>gasLimit</code></td><td>integer</td><td>maximum amount of gas for a swap;<br>should be the same for a quote and swap<br><code>default: 11500000;</code> <code>max: 11500000;</code></td></tr><tr><td><code>mainRouteParts</code></td><td>integer</td><td>limit maximum number of main route parts;<br>should be the same for a quote and swap<br><code>default: 20;</code> <code>max: 50;</code></td></tr><tr><td><code>parts</code></td><td>integer</td><td>limit maximum number of parts each main route part can be split into; should be the same for a quote and swap<br><code>default: 20;</code> <code>max: 100;</code></td></tr></tbody></table>

### Description of response parameters <a href="#description-of-response-parameters" id="description-of-response-parameters"></a>

<table><thead><tr><th width="230"></th><th width="139"></th><th></th></tr></thead><tbody><tr><td><code>fromToken</code></td><td>string</td><td>parameters of a token to sell</td></tr><tr><td><code>toToken</code></td><td>string</td><td>parameters of a token to buy</td></tr><tr><td><code>fromAmount</code></td><td>string</td><td>input amount of <code>fromToken</code> in minimal divisible units</td></tr><tr><td><code>toAmount</code></td><td>string</td><td>result amount of <code>toToken</code> in minimal divisible units</td></tr><tr><td><code>protocols</code></td><td>string</td><td>route of the trade</td></tr><tr><td><code>gas</code></td><td>string</td><td>rough estimated amount of the gas limit for used protocols;<br>do not use <code>gas</code> from the quote method as the gas limit of a transaction</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vulpefi.com/aggregation-protocol/api/quote-params.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
